apiVersion: service.aep.asag.io/v1
kind: Definition
metadata:
  name: rabbitmq-0.2.2
  namespace: asag
spec:
  clusters:
    - flags:
        - from: value
          key: v1_role
          to: label
          value: rabbitmq
        - from: value
          key: delay_final_config
          to: annotation
          value: true
      name: rabbitmq
      podspec:
        containers:
          - image: aep/base_jammy
            name: rabbitmq
      provides:
        - exposed: true
          name: rabbitmq
          network: loadbalanced
          servicespec:
            ports:
              - name: amqp-tls
                port: 5671
                protocol: TCP
                targetPort: 5671
              - name: amqp
                port: 5672
                protocol: TCP
                targetPort: 5672
              - name: rabbitmq-management
                port: 443
                protocol: TCP
                targetPort: 15671
            sessionAffinity: ClientIP
            sessionAffinityConfig:
              clientIP:
                timeoutSeconds: 10800
      sizing:
        increment: 2
        initial: 3
        maximum: 15
        minimum: 1
  dependencies:
    operator:
      name: rabbitmq-operator
      vendor: asag
      version: 0.2.2
  includes:
    - name: defaults-service
      vendor: asag
      version: 0.3.1
  name: rabbitmq
  settings:
    - name: environment
      schema:
        default: rabbitmq_prod
  version: 0.2.2
